Public Member Functions | List of all members
clan::Trianglef Class Reference
clanCore Math

Triangles - Float. More...

`#include <triangle_math.h>`

Inheritance diagram for clan::Trianglef:

## Public Member Functions
| Trianglef ()
| Trianglef (const Trianglex< float > &copy)
| Trianglef (const Vec2< float > &point_p, const Vec2< float > &point_q, const Vec2< float > &point_r)
Public Member Functions inherited from clan::Trianglex< float >
| Trianglex ()
| Trianglex (const Trianglex< float > &copy)
| Trianglex (const Vec2< float > &point_p, const Vec2< float > &point_q, const Vec2< float > &point_r)
bool | point_inside (const Vec2< float > &point) const
| Return true if the point is inside the triangle. More...
Trianglex< float > & | operator= (const Trianglex< float > &copy)
| = operator. More...
bool | operator== (const Trianglex< float > &triangle) const
| == operator. More...
bool | operator!= (const Trianglex< float > &triangle) const
| != operator. More...

## Additional Inherited Members
Public Attributes inherited from clan::Trianglex< float >
Vec2< float > | p
| First triangle point. More...
Vec2< float > | q
Vec2< float > | r

## Detailed Description

Triangles - Float.

The documentation for this class was generated from the following file:

- triangle_math.h